Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.url.file
Class FileIntegrityVerifier

    java.lang.Object
      net.jini.url.file.FileIntegrityVerifier

All Implemented Interfaces:
  IntegrityVerifier

public class FileIntegrityVerifier
extends Object
implements IntegrityVerifier

Integrity verifier for FILE URLs. This class is intended to be specified in a resource to configure the operation of `Security.verifyCodebaseIntegrity`.

Do not use this verifier if your operating system is configured to mount remote file systems and the underlying file system protocols do not provide adequate data integrity or authentication of the remote hosts.

Since:
  2.0

Constructor Summary
`FileIntegrityVerifier()`

Method Summary
`boolean` | `providesIntegrity(URL url)` Returns `true` if the specified URL uses the "file" protocol and the host is `null`, empty, "~", or "localhost"; returns `false` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileIntegrityVerifier

    public FileIntegrityVerifier()

Method Detail

### providesIntegrity

    public boolean providesIntegrity(URL url)

  Returns `true` if the specified URL uses the "file" protocol and the host is `null`, empty, "~", or "localhost"; returns `false` otherwise.

  Specified by:
    `providesIntegrity` in interface `IntegrityVerifier`
  Parameters:
    `url` - URL to verify
  Returns:
    `true` if the specified URL is known to provide content integrity; `false` otherwise
  Throws:
    `NullPointerException` - if the URL is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved